Bug 117055 - [RFE] a tool for searching a/o updating the hcl database would be great
[RFE] a tool for searching a/o updating the hcl database would be great
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
http://hardware.redhat.com/hcl/
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-27 14:52 EST by shrek-m
Modified: 2014-03-16 22:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-04 16:50:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description shrek-m 2004-02-27 14:52:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040113

Description of problem:
a tool (eg. let me tell it for now "hclquery" ) in conjunction with

anaconda,
kudzu,
hwbrowser,
kernel-driver,
fedora/redhat website hcl-database,
    http://hardware.redhat.com/hcl/
tldp hardware list,
    (i could not find it at http://tldp.org )
...


would be great for searching
 compatible hardware,
 modules,
 eas of installation,
 ...

and/or for updating a centralized hcl-database

eg.
anaconda/kudzu/hwbrowser/...
is finding an unknown hardware

"will you search the fedora-hcl-database over the internet ?"
"Y/n"
"an updated driver was found / NothingFound"
"will you provide us the output of lspci -vv automatically or later
via email  y/N"
...

Version-Release number of selected component (if applicable):
20040227

How reproducible:
Always

Steps to Reproduce:
1. search a compatible hardware and the module before you purchase it
2. you has an unknown hardware for kudzu
3. you will update to fedora core 2 and you do not know that the
fdomain modul is evtl. switched off in the kernel

Actual Results:  a lot of manpages, internet, mailinglists, howtos,
... research

an incomplete, not well supported, outdated, ... hcl-database
http://hardware.redhat.com/hcl/

Expected Results:  this infos should be easy to find

Additional info:

eg.  nvidia-installer
Comment 1 Bill Nottingham 2005-10-04 16:50:04 EDT
Currently, the HCL at http://hardware.redhat.com/hcl/ is for RHEL only.

At the moment, internal to RH resources aren't being targetted at looking at
solving this. Other solutions fromthe community might be accepted, though.

Note You need to log in before you can comment on or make changes to this bug.